Entitlement - Get Entitlement

Get the entitlement details for the tenant.

GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}?api-version=2024-10-01

URI Parameters

Name In Required Type Description
entitlementId
path True

string

The entitlement ID.

api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

TenantEntitlementResponseModel

Success

204 No Content

No Content

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
CapacityEntitlementModel
CapacityLicenseModel
CatalogPayGoEntitlementModel
EntitlementAllocationModelV2
EntitlementConsumedModel
EntitlementConsumptionType

The consumption type for an entitlement.

EntitlementEntitledModel
EntitlementUnit

The unit of measure for an entitlement.

LicensedPolicyModel
LicenseSource

The source of a license.

LicenseTier

The tier of a license.

OverageStatus

The overage status of an entitled capacity.

ProductCategory

The product category associated with an entitlement.

TenantEntitlementDetailServiceModel
TenantEntitlementResponseModel

Represents an entitlement and its capacity, pay-as-you-go and licensed policy details for a tenant.

CapacityEntitlementModel

Name Type Description
allocated

EntitlementAllocationModelV2

availableQuantity

number (double)

consumed

EntitlementConsumedModel

entitled

EntitlementEntitledModel

licenses

CapacityLicenseModel[]

status

OverageStatus

The overage status of an entitled capacity.

unit

EntitlementUnit

The unit of measure for an entitlement.

CapacityLicenseModel

Name Type Description
entitled

EntitlementEntitledModel

isUnlimited

boolean

licenseId

string

licenseQuantity

integer (int32)

licenseSource

LicenseSource

The source of a license.

licenseStatus

string

licenseTier

LicenseTier

The tier of a license.

nextLifecycleDate

string (date-time)

nextLifecycleStatus

string

productName

string

skuId

string

CatalogPayGoEntitlementModel

Name Type Description
consumed

EntitlementConsumedModel

entitled

EntitlementEntitledModel

EntitlementAllocationModelV2

Name Type Description
autoAllocated

number (double)

value

number (double)

EntitlementConsumedModel

Name Type Description
consumptionType

EntitlementConsumptionType

The consumption type for an entitlement.

lastUpdatedOn

string (date-time)

value

number (double)

writeOff

number (double)

EntitlementConsumptionType

The consumption type for an entitlement.

Value Description
NotSpecified
Snapshot
MonthToDate

EntitlementEntitledModel

Name Type Description
value

number (double)

EntitlementUnit

The unit of measure for an entitlement.

Value Description
NotSpecified
MB
Count
Hour

LicensedPolicyModel

Name Type Description
entitled

boolean

LicenseSource

The source of a license.

Value Description
NotSpecified
CommerceService
AppSource
Internal
PayAsYouGo

LicenseTier

The tier of a license.

Value Description
NotSpecified
Paid
Trial
Internal

OverageStatus

The overage status of an entitled capacity.

Value Description
NotSpecified
WithinCapacity
Overage
CoveredOverage

ProductCategory

The product category associated with an entitlement.

Value Description
NotSpecified
D365Apps
Dataverse
Fno
PowerApps
PowerAutomate
PowerPages
PowerVirtualAgent
CopilotStudio
PowerPlatform
Project
W365
D365CustomerInsights
D365ContactCenter
Teams
CloudForSustainability
CoWork
M365
ManagedApps

TenantEntitlementDetailServiceModel

Name Type Description
capacity

CapacityEntitlementModel

licensedPolicy

LicensedPolicyModel

payGo

CatalogPayGoEntitlementModel

unit

EntitlementUnit

The unit of measure for an entitlement.

TenantEntitlementResponseModel

Represents an entitlement and its capacity, pay-as-you-go and licensed policy details for a tenant.

Name Type Description
entitlement

TenantEntitlementDetailServiceModel

entitlementId

string

The entitlement ID.

productCategories

ProductCategory[]

The entitlement product categories (e.g., D365Apps, Dataverse, Power Apps, Power Automate).